Rysunek Roboczy do szkicu
Jump to navigation
Jump to search
Środowisko pracy Rysunek Roboczy
Centrum użytkownika
|
Menu location |
---|
Modification → Draft to Sketch |
Workbenches |
Draft, Arch |
Default shortcut |
None |
Introduced in version |
- |
See also |
None |
Description
The Draft Draft2Sketch command converts Draft objects to Sketcher Sketches and vice versa.
Converting Draft objects to Sketcher Sketches
Usage
- Optionally select one or more Draft objects or Sketcher Sketches.
- There are several ways to invoke the command:
- Press the
Draft Draft2Sketch button.
- Select the Modification →
Draft to Sketch option from the menu.
- Press the
- If you have not yet selected an object: select an object in the 3D view.
- A new object is created.
Notes
- Non-Draft objects that are totally planar can also be converted.
- The command can only handle objects made up out of straight lines, circular arcs, elliptical arcs, B-Splines and Bézier curves.
- Draft BezCurves will be approximated by Sketcher BSplines.
- The external KicadStepUp Workbench contains a command to convert a Draft BSpline into a series of Sketcher Arcs. For more information see the forum topic BSplines to Shape2DView and Sketcher.
- This other forum topic contains a macro for such a conversion.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To convert objects to a sketch use the make_sketch
method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeSketch
method.
sketch = make_sketch(objects_list, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1, tol=1e-3)
objects_list
contains the objects to be converted. It is either a single object or a list of objects.Draft
objects,Part::Feature
objects andPart.Shape
objects are supported.- If
autoconstraints
isTrue
coincident constraints are added to nodes belonging to the same source object. addTo
is the existing sketch object the geometry is added to. If not supplied a new sketch is created.- If
delete
isTrue
the source objects are deleted. name
is the name for the new sketch.radiusPrecision
indicates how radius constraints should be handled:- Use
-1
to disable radius constraints. - Use
0
to add individual radius constraints. - Use a positive number to round radii according to this precision, and to add equal constraints between curves with equal radii.
- Use
tol
is the tolerance used to check if shapes are planar and co-planar. Use-1
for a strict analysis.sketch
is returned with the sketch object.
To convert a sketch to Draft objects use the draftify
method of the Draft module.
draftify(objectslist, makeblock=False, delete=True)
objectslist
contains the objects to be converted. It is either a single object or a list of objects.- If
makeblock
isTrue
the converted objects are grouped in aPart::Part2DObject
. - If
delete
isTrue
the source objects are deleted.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
rectangle = Draft.make_rectangle(2000, 1000)
circle = Draft.make_circle(500)
doc.recompute()
sketch_from_draft = Draft.make_sketch([rectangle, circle], autoconstraints=True, delete=False, radiusPrecision=0)
doc.recompute()
draft_from_sketch = Draft.draftify(sketch_from_draft, delete=False)
doc.recompute()
- Kreślenie: Linia, Polilinia, Zaokrąglenie, Łuk, Łuk przez 3 punkty, Okrąg, Elipsa, Wielokąt foremny, Krzywa złożona, Krzywa Bezier'a, Punkt, Łącznik ścian, Kształt z tekstu, Kreskowanie, Prostokąt
- Adnotacje: Adnotacja wieloliniowa, Wymiarowanie, Etykieta, Edytor stylów adnotacji, Widżet skali anotacji
- Modyfikacja: Przesuń, Obróć, Skala, Odbicie lustrzane, Odsunięcie, Przytnij, Rozciągnij, Klonuj, Szyk, Szyk biegunowy, Szyk kołowy, Szyk po ścieżce, Szyk powiązań po ścieżce, Szyk z punktów, Szyk powiązań w punktach, Edycja, Podświetl element podrzędny, Połącz, Rozdziel, Ulepsz kształt, Rozbij obiekt na elementy, Polilinia na krzywą złożoną, Rysunek Roboczy do szkicu, Nachylenie, Obróć wymiar, Widok 2D kształtu
- Tacka narzędziowa: Wybór płaszczyzny, Ustaw styl, Przełącz tryb konstrukcyjny, Grupowanie automatyczne
- Przyciąganie: Przełącz przyciąganie, Przyciągnij do punktu końcowego, Przyciągnij do punktu środkowego, Przyciągnij do środka, Przyciągnij do kąta, Przyciąganie do punktu przecięcia, Przyciągnij prostopadle, Rozszerz, Przyciągnij równolegle, Przyciągnij specjalnie, Przyciąganie do najbliższego, Przyciągnij ortogonalnie, Przyciągnij do siatki, Przyciągnij do płaszczyzny roboczej, Przyciągnij do wymiaru, Pokaż / ukryj siatkę
- Różności: Warstwa, Dodaj grupę o nazwie, Dodaj do grupy, Wybierz grupę, Dodaj do grupy konstrukcyjnej, Przełącz tryb wyświetlania, Pośrednia płaszczyzna robocza, Zastosuj bieżący styl, Ulecz, Przełącz tryb kontynuacji, Pokaż przybornik przyciągania
- Dodatkowe:: Wiązania, Wypełnienie wzorem, Preferencje, Ustawienia Importu i Eksportu, DXF/DWG, SVG, OCA, DAT
- Menu podręczne:
- Kontener warstwy: Połącz duplikaty warstw, Dodaj warstwę
- Warstwa: Aktywuj warstwę, Zaznacz zawartość warstwy
- Pośrednia płaszczyzna robocza: Zapisz ujęcie widoku, Zapisz stan obiektów

- Jak zacząć
- Instalacja: Pobieranie programu, Windows, Linux, Mac, Dodatkowych komponentów, Docker, AppImage, Ubuntu Snap
- Podstawy: Informacje na temat FreeCAD, Interfejs użytkownika, Profil nawigacji myszką, Metody wyboru, Nazwa obiektu, Edytor ustawień, Środowiska pracy, Struktura dokumentu, Właściwości, Pomóż w rozwoju FreeCAD, Dotacje
- Pomoc: Poradniki, Wideo poradniki
- Środowiska pracy: Strona Startowa, Architektura, Rysunek Roboczy, MES, Inspekcja, Siatka, OpenSCAD, Część, Projekt Części, Path, Punkty, Inżynieria Wsteczna, Robot, Szkicownik, Arkusz Kalkulacyjny, Start, Powierzchnia 3D, Rysunek Techniczny, Test Framework, Web